Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | List of all members
eZURLAliasFilter Class Reference

## Public Member Functions
| process ( $text, &$languageObject, &$caller)

## Static Public Member Functions
static | processFilters ( $text, $languageObject, $caller)

## Detailed Description

The eZURLAliasFilter class the interface for all url alias filters, the filter implementation must implement the process method.

For execution of the configured filters use the static method processFilters. Help with configuration is found in settings/site.ini under the group URLTranslator.

@abstract

Definition at line 21 of file ezurlaliasfilter.php.

## Member Function Documentation

## ◆ process()

eZURLAliasFilter::process | ( |  | $text,
|  | & | $languageObject,
|  | & | $caller
| ) |  |

Definition at line 37 of file ezurlaliasfilter.php.

## ◆ processFilters()

static eZURLAliasFilter::processFilters | ( |  | $text,
|  |  | $languageObject,
|  |  | $caller
| ) |  |
| static

Process all configured filters and return the resulting text.

Filters are found in the INI group URLTranslator and the setting FilterClasses.

The parameters $text, $languageObject and $caller are sent to the method process on the filter object.

Note: The filter list will be cached in memory to improve performance of subsequent calls.

Parameters

  string | $text | The URL alias
  string | $languageObject | The current language object used for the string $text.
  object | $caller | The object which called the filtering process, can be null.

Returns
  string the URL alias processed by the process() method

Definition at line 59 of file ezurlaliasfilter.php.

References eZDebug\writeError().

Referenced by eZContentObjectTreeNode\updateSubTreePath().

The documentation for this class was generated from the following file:

- ezurlaliasfilter.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.